Skip to main content
GET

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspaceId
string
required

Workspace ID.

Example:

"workspace_01HXKD2E5NQM3T9AYWCF133E3Q"

id
string
required

Tool set ID. Accepts the canonical ts_… form or the external_id: form.

Example:

"toolset_01HXKD2E5NQM3T9AYWCFNRMN74"

Response

OK

metadata
object
required

Standard metadata for persistent, named resources (e.g., agents, tools, prompts)

spec
object
required
state
enum<string>
required
read-only

The current lifecycle state of the tool set. Output only. Tool sets are created STATE_ACTIVE; use the :archive and :unarchive actions to transition between states.

Available options:
STATE_UNSPECIFIED,
STATE_ACTIVE,
STATE_ARCHIVED
info
object

Tool set information

clientToolsAgentId
string
read-only

Set when this is the agent's client tools tool set: the bare tool set Cadenya manages to hold the client tools sent when objectives for that agent are created. Such a tool set is read-only: it cannot be updated, archived, deleted, have tools added or changed, or be assigned to a variation. Output only.

Example:

"agent_01HXKD2E5NQM3T9AYWCFMGWT9Y"